
Partial Class Visitors_SecurityGeneral
    Inherits CharterCMSPage


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("")
        Dim ownerID As String
        Const DEFAULT_OWNER_ID As Integer = 0
        ownerID = Request.QueryString(QueryStringName.OwnerID)
        If Not Page.IsPostBack Then
            If ownerID IsNot Nothing Then
                If IsNumeric(ownerID) Then
                    ucGeneralContent.OwnerID = CInt(ownerID)
                Else
                    ucGeneralContent.OwnerID = DEFAULT_OWNER_ID
                End If
            Else
                ucGeneralContent.OwnerID = DEFAULT_OWNER_ID
            End If
        End If
        '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
        ' DB - This is a temporary work around to add the HDTV lineup
        ' user control into the page, but only for ownerid 17 at the time being
        ' will come up with a better, configurable way to do this in the 
        ' future.
        '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
        ucChannels.Visible = False
        If ownerID IsNot Nothing Then
            If CInt(ownerID) = 17 Then
                ucChannels.Visible = True
            Else
                ucChannels.Visible = False
            End If
        End If


        Dim lPageType As String = Request.QueryString("PageType")
        If Not (lPageType Is Nothing) Then
            Select Case lPageType.Trim().ToLower()
                Case "1000"
                    ucGeneralContent.ContentKey = "aup violation"
                    ucGeneralContent.OwnerID = 1
                Case "1001"
                    ucGeneralContent.ContentKey = "aup violation - copyright infringement"
                    ucGeneralContent.OwnerID = 1
                Case "1002"
                    ucGeneralContent.ContentKey = "aup violation - copyright infringement (no remind option)"
                    ucGeneralContent.OwnerID = 1
                Case "1003"
                    ucGeneralContent.ContentKey = "aup violation - copyright infringement (checkout)"
                    ucGeneralContent.OwnerID = 1
                Case "1004"
                    ucGeneralContent.ContentKey = "aup violation - copyright infringement (no checkout)"
                    ucGeneralContent.OwnerID = 1
                Case "1005"
                    ucGeneralContent.ContentKey = "aup violation - spam"
                    ucGeneralContent.OwnerID = 1
                Case "1006"
                    ucGeneralContent.ContentKey = "aup violation - spam (no remind option)"
                    ucGeneralContent.OwnerID = 1
                Case "1007"
                    ucGeneralContent.ContentKey = "aup violation - spam (checkout)"
                    ucGeneralContent.OwnerID = 1
                Case "1008"
                    ucGeneralContent.ContentKey = "aup violation - virus"
                    ucGeneralContent.OwnerID = 1
                Case "1009"
                    ucGeneralContent.ContentKey = "aup violation - virus (no remind option)"
                    ucGeneralContent.OwnerID = 1
                Case "1010"
                    ucGeneralContent.ContentKey = "aup violation - virus (checkout)"
                    ucGeneralContent.OwnerID = 1
                Case "1011" 'NEW CMS RECORD ADDED: ISSUE ID 4154
                    ucGeneralContent.ContentKey = "aup violation - virus (no checkout)"
                    ucGeneralContent.OwnerID = 1
                Case Else
                    ucGeneralContent.ContentKey = "aup violation"
                    ucGeneralContent.OwnerID = 1
            End Select
        End If


    End Sub

End Class
